/*************************************************************************
 *                                                                       *
 *  KTheme                                                               *
 *                                                                       *
 * This file is part of the KTheme-Package. For detail information about *
 * this program have a look at the README-File.                          *
 *                                                                       *
 * Copyright(c) 1998 Christian Poulter.                                  *
 *                                                                       *
 * This program is free software; you can redistribute it and/or modify  *
 * it under the terms of the GNU General Public License as published by  *
 * the Free Software Foundation - version 2.                             *
 *                                                                       *
 * This program is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 * GNU General Public License in file COPYING for more details.          *
 *                                                                       *
 * You should have received a copy of the GNU General Public License     *
 * along with this program; if not, write to the Free Software           *
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.             *
 *                                                                       *
 *  On the Net at http://www.wilhelmshaven-online.de/benutzer/cpoulter   *
 *  Email to cpoulter@ebs-net.com                                        *
 *                                                                       *
 *************************************************************************/

#ifndef KTHEME_H
#define KTHEME_H

#include "kconfigbase.h"
#include "kthemegfxconfig.h"
#include "kthemesoundconfig.h"
#include "kthemecolorconfig.h"
#include "kthemeinfo.h"
#include "kthememan.h"
#include "theme.h"


class KThemeApp : public KControlApplication{
public:

	KThemeApp(int &argc, char **arg, const char *name);
	~KThemeApp();

	void init();
	void apply();

private:
	KThemeGfxConfig		*kthemegfxconfig;
	KThemeSoundConfig	*kthemesoundconfig;
	KThemeColorConfig	*kthemecolorconfig;
	KThemeInfo		*kthemeinfo;
	KThemeMan		*kthememan;
	Theme			*theme;
};

#endif KTHEME_H

